package common.sound;

import common.init.SoundEvent;

public abstract class MovingSound extends Sound
{
    protected boolean donePlaying = false;

    protected MovingSound(SoundEvent event)
    {
        super(event);
    }

    public boolean isDonePlaying()
    {
        return this.donePlaying;
    }
    
    public abstract void update();
}
